develooper Front page | perl.dist | Postings from May 2003

Re: Perl ora_login to Oracle 9.2.0 from Solaris8 give error: OCIEnvInit

Thread Previous
From:
Jarkko Hietaniemi
Date:
May 6, 2003 02:47
Subject:
Re: Perl ora_login to Oracle 9.2.0 from Solaris8 give error: OCIEnvInit
Message ID:
20030506094417.GL20373@kosh.hut.fi
>    Following is the code line that fails:
> 
>            $lda = &ora_login($ORACLE_SID, $ORACLE_USER, $ORACLE_PASSWD) or
>          die $ora_errstr;
> 
>          Error String is: ERROR OCIEnvInit at InitSec.pl line 43.

That is not an error from Perl per se, but instead an error from
ora_login().  Therefore the perl-dist list is not quite the right 
place to ask about this.  I suggest some Perl database mailing lists.

> B. There are newer version of 5.005 such as 5.005_57, but how can I

You should not use 5.005_57 for production use since it's developer
only snapshot release, and it is actually closer to 5.6 than 5.005.
The 5.005_57 is not a maintenance release of 5.005.  You can see all this
by giving 'perlhist' to Google.

Regarding the question which Perl version is recommended, at the
moment the answer would probably be 5.6.1 (2001-Apr-08), in hopefully
near future probably 5.8.1.  The 5.005_03 was out in 1999-03-28,
hardly a recent release.

> determine if this is something that was fixed in one of the patches?
> I could not find a detailed list of fixes for each software release.

-- 
Jarkko Hietaniemi <jhi@iki.fi> http://www.iki.fi/jhi/ "There is this special
biologist word we use for 'stable'.  It is 'dead'." -- Jack Cohen

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About